Subject: [TLS] TLS WG Summary for IETF 96

From: Joseph Salowey <[email-masked]>
Date: Wed, 20 Jul 2016 11:31:58 +0200

The TLS working group met on Tuesday morning. We are continuing progress on
TLS 1.3. Main discussion points included a change in the cipher suite model
from a monolithic ID approach to a menu based approach. During the
hackathon on Saturday we had 7 different TLS 1.3 implementations achieve
interoperability to various degrees. We expect to have a draft (probably
-16) that "freezes" the wire format at the end of next month available for
broad review by the cryptographic and security modeling communities. We
plan on holding working group last call before the next IETF.